## kcachegrind 4.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(kcachegrind)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

set( CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS} -DQT_STRICT_ITERATORS )
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${CMAKE_SOURCE_DIR}	${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} )

set( KCACHEGRIND_VERSION "0.7.4kde")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )

IF(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kcachegrind.spec.cmake ${CMAKE_CURRENT_BINARY_DIR}/kcachegrind.spec )
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kcachegrind.lsm.cmake ${CMAKE_CURRENT_BINARY_DIR}/kcachegrind.lsm )
ENDIF(NOT WIN32)

macro_additional_clean_files( 
	${CMAKE_CURRENT_BINARY_DIR}/version.h 
	)
IF(NOT WIN32)
macro_additional_clean_files(
	${CMAKE_CURRENT_BINARY_DIR}/kcachegrind.lsm 
	${CMAKE_CURRENT_BINARY_DIR}/kcachegrind.spec
	)
ENDIF(NOT WIN32)

add_subdirectory( doc )
add_subdirectory( libcore )
add_subdirectory( cgview )
add_subdirectory( libviews )
add_subdirectory( kcachegrind )
add_subdirectory( qcachegrind )
add_subdirectory( pics )
add_subdirectory( converters )

=== kcachegrind/CMakeLists.txt ===
include_directories( ../libcore ../libviews )

########### next target ###############

set(kcachegrind_SRCS
   main.cpp
   kdeconfig.cpp
   toplevel.cpp
   configdlg.cpp
   )

kde4_add_ui_files(kcachegrind_SRCS
        configdlgbase.ui
	)

kde4_add_app_icon(kcachegrind_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-kcachegrind.png")

kde4_add_executable(kcachegrind ${kcachegrind_SRCS})

target_link_libraries(kcachegrind core views ${KDE4_KIO_LIBS})

install(TARGETS kcachegrind  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS kcachegrind.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES tips  DESTINATION  ${DATA_INSTALL_DIR}/kcachegrind )
install( FILES kcachegrindui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kcachegrind )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

## kcachegrind 4.11.2

=== debian/changelog ===
kcachegrind (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:02:22 +0100

kcachegrind (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:08:24 +0100

kcachegrind (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:02:33 +0100

kcachegrind (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:10:13 +0100

kcachegrind (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 15 Jul 2013 10:30:17 +0100

kcachegrind (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream bet release

  [ Philip Muškovac ]
  * Use = binary:Version for kcachegrind-dbg depends on kcachegrind

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:02:27 +0100

kcachegrind (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Initial package, split from kcachegrind

  [ Rohan Garg ]
  * Add kcachegrind-converters

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:38:00 +0100

=== debian/control ===
Source: kcachegrind
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kcachegrind
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kcachegrind

Package: kcachegrind
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: valgrind, graphviz
Suggests: kcachegrind-converters, khelpcenter4
Description: visualisation tool for the Valgrind profiler
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Any executable can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugins.
 .
 For visualising the output from profiling tools other than Valgrind, several
 converters can be found in the kcachegrind-converters package.
 .
 This package is part of the KDE Software Development Kit module.

Package: kcachegrind-converters
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, php5-cli, python
Recommends: kcachegrind
Description: format converters for KCachegrind profiler visualisation tool
 This is a collection of scripts for converting the output from several
 different profiling tools into a format that KCachegrind can display.
 .
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Executables can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugin architectures.
 .
 The included scripts are:
 .
  * dprof2calltree: converts the tmon.out output of Perl's Devel::DProf package
  * hotshot2calltree: converts the pstat output of the hotshot Python profiler
  * memprof2calltree: converts the memory profiles of memprof
  * op2calltree: converts the OProfile's output of "opreport -gdf" (v 0.8)
  * pprof2calltree: converts the pprof output from APD
 .
 This package is part of the KDE Software Development Kit module.

Package: kcachegrind-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kcachegrind (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for the KDE Software Development Kit module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE Software Development Kit module.

## kcachegrind 4.12.3

=== debian/changelog ===
kcachegrind (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:25:49 +0100

kcachegrind (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:30:46 +0100

kcachegrind (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:41:48 +0000

kcachegrind (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:00:40 +0000

kcachegrind (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:31:26 +0000

kcachegrind (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:37:36 +0000

kcachegrind (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:48:40 +0100

kcachegrind (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:30:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.12.3)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kcachegrind

## kcachegrind 4.13.0

=== debian/changelog ===
kcachegrind (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:42:05 +0100

kcachegrind (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:13:23 +0200

kcachegrind (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:00:29 +0100

kcachegrind (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:40:34 +0000

kcachegrind (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:33:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kcachegrind

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kcachegrind-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kcachegrind-([\d\.]*).tar.xz

## kcachegrind 4.13.3

=== converters/CMakeLists.txt ===
configure_file(
	${CMAKE_CURRENT_SOURCE_DIR}/hotshot2calltree.cmake
	${CMAKE_CURRENT_BINARY_DIR}/hotshot2calltree
	)
macro_additional_clean_files(
	${CMAKE_CURRENT_BINARY_DIR}/hotshot2calltree
	)

install( PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/hotshot2calltree
	 op2calltree pprof2calltree dprof2calltree memprof2calltree
	 DESTINATION ${BIN_INSTALL_DIR} )

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcachegrind)

=== debian/changelog ===
kcachegrind (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:22:36 +0200

kcachegrind (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:46:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0)
+ kdelibs5-dev (>= 4:4.13.3)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kcachegrind

## kcachegrind 4.14.0

=== debian/changelog ===
kcachegrind (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 14:50:18 +0200

kcachegrind (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Jul 2014 10:25:02 +0200

kcachegrind (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 16:20:53 +0200

kcachegrind (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:18 +0200

kcachegrind (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:14 +0100

kcachegrind (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:50 +0100

kcachegrind (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:25:35 +0100

kcachegrind (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:58:20 +0200

=== debian/control ===
Source: kcachegrind
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kcachegrind.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kcachegrind.git

Package: kcachegrind
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: graphviz, valgrind
Suggests: kcachegrind-converters, khelpcenter4
Description: visualisation tool for the Valgrind profiler
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Any executable can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugins.
 .
 For visualising the output from profiling tools other than Valgrind, several
 converters can be found in the kcachegrind-converters package.
 .
 This package is part of the KDE Software Development Kit module.

Package: kcachegrind-converters
Architecture: all
Section: devel
Depends: php5-cli, python, ${misc:Depends}, ${perl:Depends}
Recommends: kcachegrind
Description: format converters for KCachegrind profiler visualisation tool
 This is a collection of scripts for converting the output from several
 different profiling tools into a format that KCachegrind can display.
 .
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Executables can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugin architectures.
 .
 The included scripts are:
 .
  * dprof2calltree: converts the tmon.out output of Perl's Devel::DProf package
  * hotshot2calltree: converts the pstat output of the hotshot Python profiler
  * memprof2calltree: converts the memory profiles of memprof
  * op2calltree: converts the OProfile's output of "opreport -gdf" (v 0.8)
  * pprof2calltree: converts the pprof output from APD
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kcachegrind-([\d.]+).tar.xz

## kcachegrind 4.14.1

=== debian/changelog ===
kcachegrind (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:35:50 +0200

kcachegrind (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:38:27 +0200

kcachegrind (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:21:54 +0200

kcachegrind (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:33:41 +0200

kcachegrind (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:46:01 +0200

kcachegrind (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:45:59 +0100

kcachegrind (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Add kcachegrind-dbg package

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 17:43:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kcachegrind
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,7 +11,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
@@ -57,3 +58,14 @@
   * pprof2calltree: converts the pprof output from APD
  .
  This package is part of the KDE Software Development Kit module.
+
+Package: kcachegrind-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kcachegrind (= ${binary:Version})
+Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
+Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
+Description: debugging symbols for the KDE Software Development Kit module
+ This package contains debugging files used to investigate problems with
+ binaries included in the KDE Software Development Kit module.

## kcachegrind 4.14.2

=== debian/changelog ===
kcachegrind (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:40:43 +0200

kcachegrind (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:08:14 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kcachegrind-([\d\.]*).tar.xz

## kcachegrind 14.12.3

=== debian/changelog ===
kcachegrind (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:44:03 -0700

kcachegrind (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:15:38 -0800

kcachegrind (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:02:17 +0100

kcachegrind (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate.
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Update the maintainer.
  * Suggest khelpcenter instead of khelpcenter4.
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 21:23:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kcachegrind
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,20 +9,20 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kcachegrind.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kcachegrind.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kcachegrind.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kcachegrind.git
 
 Package: kcachegrind
 Architecture: any
 Section: devel
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: graphviz, valgrind
-Suggests: kcachegrind-converters, khelpcenter4
+Suggests: kcachegrind-converters, khelpcenter
 Description: visualisation tool for the Valgrind profiler
  KCachegrind is a visualisation tool for the profiling data generated
  by calltree, a memory profiling tool for valgrind.  Any executable can be
@@ -58,14 +57,3 @@
   * pprof2calltree: converts the pprof output from APD
  .
  This package is part of the KDE Software Development Kit module.
-
-Package: kcachegrind-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kcachegrind (= ${binary:Version})
-Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
-Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
-Description: debugging symbols for the KDE Software Development Kit module
- This package contains debugging files used to investigate problems with
- binaries included in the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kcachegrind-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kcachegrind-([\d.]+).tar.xz

## kcachegrind 15.08.2

=== debian/changelog ===
kcachegrind (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:04:08 +0100

kcachegrind (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:19:12 +0100

kcachegrind (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:09:57 +0100

kcachegrind (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:36:34 +0100

kcachegrind (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:41:04 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kcachegrind.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kcachegrind.git

## kcachegrind 15.12.3

=== libviews/CMakeLists.txt ===
include_directories( ../libcore )

set(libviews_SRCS
   globalguiconfig.cpp
   stackitem.cpp
   stackselection.cpp
   partgraph.cpp
   partselection.cpp
   costlistitem.cpp
   functionlistmodel.cpp
   functionselection.cpp
   toplevelbase.cpp
   listutils.cpp
   treemap.cpp
   traceitemview.cpp
   tabview.cpp
   multiview.cpp
   instrview.cpp
   sourceview.cpp
   callmapview.cpp
   callgraphview.cpp
   callview.cpp
   coverageview.cpp
   eventtypeview.cpp
   partview.cpp
   eventtypeitem.cpp
   callitem.cpp
   coverageitem.cpp
   sourceitem.cpp
   instritem.cpp
   partlistitem.cpp )

qt4_automoc(${libviews_SRCS})
add_library(views STATIC ${libviews_SRCS})
target_link_libraries(views core)

=== qcachegrind/CMakeLists.txt ===
include_directories(../libcore ../libviews)

set(qcachegrind_SRCS qcgmain.cpp qcgtoplevel.cpp qcgconfig.cpp
		     configdialog.cpp configpage.cpp qtcolorbutton.cpp
		     generalsettings.cpp sourcesettings.cpp colorsettings.cpp)

qt4_automoc(${qcachegrind_SRCS})
qt4_wrap_ui(qcachegrind_H generalsettings.ui sourcesettings.ui colorsettings.ui)
qt4_add_resources(qcachegrind_RSRC qcachegrind.qrc)

add_executable(qcachegrind ${qcachegrind_SRCS} ${qcachegrind_H} ${qcachegrind_RSRC})

target_link_libraries(qcachegrind
	 core views
	 ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY}
	 ${QT_QTDBUS_LIBRARY})

# do not install example code...
# install(TARGETS qcachegrind ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kcachegrind (4:15.12.3-0ubuntu2) xenial; urgency=medium

  * Resurrect Nishanth Aravamudan's changes from 4:15.12.1-0ubuntu2.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 17 Apr 2016 05:36:24 -0600

kcachegrind (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:06:50 -0700

kcachegrind (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 30 Mar 2016 16:05:16 -0700

kcachegrind (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:31:21 +0100

kcachegrind (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:11:54 +0100

kcachegrind (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:41:42 +0000

kcachegrind (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:59 +0100

kcachegrind (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.2).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:40 +0200

kcachegrind (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Feb 2015 11:37:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: kcachegrind
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kcachegrind.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kcachegrind.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kcachegrind.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kcachegrind.git
 
 Package: kcachegrind
 Architecture: any
@@ -37,7 +38,7 @@
 Package: kcachegrind-converters
 Architecture: all
 Section: devel
-Depends: php5-cli, python, ${misc:Depends}, ${perl:Depends}
+Depends: php-cli, python, ${misc:Depends}, ${perl:Depends}
 Recommends: kcachegrind
 Description: format converters for KCachegrind profiler visualisation tool
  This is a collection of scripts for converting the output from several

## kcachegrind 16.04.3

=== debian/changelog ===
kcachegrind (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Lintian override - use the current default php version

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:40:27 +0200

kcachegrind (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:49 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
 Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kcachegrind.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kcachegrind.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcachegrind
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcachegrind
 
 Package: kcachegrind
 Architecture: any

## kcachegrind 16.08.3

=== debian/changelog ===
kcachegrind (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:04:38 +0100

kcachegrind (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)
  * Install qcachegrind.
    Thanks to Phillip Berndt for reporting (Closes: 836937)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:55:12 +0200

kcachegrind (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Use the current default php version.
    Thanks to Ondřej Surý <ondrej@debian.org> (Closes: #821509)
  * Add lintian-overrides about php-script-but-no-phpX-cli-dep

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 16:45:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kcachegrind
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,12 +10,12 @@
 Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
+               kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcachegrind
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcachegrind
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kcachegrind.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kcachegrind.git
 
 Package: kcachegrind
 Architecture: any
@@ -34,6 +33,21 @@
  converters can be found in the kcachegrind-converters package.
  .
  This package is part of the KDE Software Development Kit module.
+
+Package: qcachegrind
+Architecture: any
+Section: devel
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: graphviz, valgrind
+Suggests: kcachegrind-converters, khelpcenter
+Description: visualisation tool for the Valgrind profiler
+ QCachegrind is a visualisation tool for the profiling data generated
+ by calltree, a memory profiling tool for valgrind.  Any executable can be
+ profiled using calltree without being recompiled, including multi-threaded
+ applications, shared libraries, and plugins.
+ .
+ For visualising the output from profiling tools other than Valgrind, several
+ converters can be found in the kcachegrind-converters package.
 
 Package: kcachegrind-converters
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_install:
	$(overridden_command)
	-install -v -D -m 755 -t debian/qcachegrind/usr/bin obj*/qcachegrind/qcachegrind
	-install -v -D -m 644 -t debian/qcachegrind/usr/share/applications qcachegrind/qcachegrind.desktop
	-install -v -D -m 644 -T kcachegrind/hi32-app-kcachegrind.png debian/qcachegrind/usr/share/icons/hicolor/32x32/apps/qcachegrind.png
	-install -v -D -m 644 -T kcachegrind/hi48-app-kcachegrind.png debian/qcachegrind/usr/share/icons/hicolor/48x48/apps/qcachegrind.png

## kcachegrind 16.12.3

=== debian/changelog ===
kcachegrind (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:45 +0000

kcachegrind (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kcachegrind
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,12 +11,13 @@
 Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
+               php-cli,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kcachegrind.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kcachegrind.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcachegrind
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcachegrind
 
 Package: kcachegrind
 Architecture: any
@@ -33,21 +35,6 @@
  converters can be found in the kcachegrind-converters package.
  .
  This package is part of the KDE Software Development Kit module.
-
-Package: qcachegrind
-Architecture: any
-Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: graphviz, valgrind
-Suggests: kcachegrind-converters, khelpcenter
-Description: visualisation tool for the Valgrind profiler
- QCachegrind is a visualisation tool for the profiling data generated
- by calltree, a memory profiling tool for valgrind.  Any executable can be
- profiled using calltree without being recompiled, including multi-threaded
- applications, shared libraries, and plugins.
- .
- For visualising the output from profiling tools other than Valgrind, several
- converters can be found in the kcachegrind-converters package.
 
 Package: kcachegrind-converters
 Architecture: all

## kcachegrind 17.04.3

=== debian/changelog ===
kcachegrind (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add qttools5-dev-tools to Build-Depends
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,18 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
-               php-cli,
-               pkg-kde-tools (>= 0.12)
+               extra-cmake-modules (>= 5.28.0~),
+               kdoctools-dev (>= 5.28.0~),
+               libkf5archive-dev (>= 5.28.0~),
+               libkf5config-dev (>= 5.28.0~),
+               libkf5coreaddons-dev (>= 5.28.0~),
+               libkf5i18n-dev (>= 5.28.0~),
+               libkf5kio-dev (>= 5.28.0~),
+               libkf5widgetsaddons-dev (>= 5.28.0~),
+               libkf5xmlgui-dev (>= 5.28.0~),
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.6.1~),
+               qttools5-dev-tools
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcachegrind
@@ -25,6 +33,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: graphviz, valgrind
 Suggests: kcachegrind-converters, khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: visualisation tool for the Valgrind profiler
  KCachegrind is a visualisation tool for the profiling data generated
  by calltree, a memory profiling tool for valgrind.  Any executable can be

## kcachegrind 17.08.3

=== debian/changelog ===
kcachegrind (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Remove the unused python-dev, and qttools5-dev-tools build dependencies.
  * Switch Format in copyright to https.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 26 Jan 2018 07:15:44 +0100

kcachegrind (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Bump kde-l10n breaks/replaces versions
  * Update uploaders list as requested by MIA team (Closes: #879316)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Simplify install files.
  * Add the missing qttools5-dev build dependency. (Closes: #884022)
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 12:55:32 +0100

kcachegrind (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:06 +0200

kcachegrind (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:59:41 +0000

kcachegrind (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:33:03 +0000

kcachegrind (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:19:45 +0000

kcachegrind (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:51 +0000

kcachegrind (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:13:51 +0000

kcachegrind (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:17 +0000

=== debian/control ===
Source: kcachegrind
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               gettext,
               libkf5archive-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
               qttools5-dev,
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kcachegrind.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kcachegrind.git

Package: kcachegrind
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: graphviz, valgrind
Suggests: kcachegrind-converters, khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: visualisation tool for the Valgrind profiler
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Any executable can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugins.
 .
 For visualising the output from profiling tools other than Valgrind, several
 converters can be found in the kcachegrind-converters package.
 .
 This package is part of the KDE Software Development Kit module.

Package: kcachegrind-converters
Architecture: all
Section: devel
Depends: php-cli, python, ${misc:Depends}, ${perl:Depends}
Recommends: kcachegrind
Description: format converters for KCachegrind profiler visualisation tool
 This is a collection of scripts for converting the output from several
 different profiling tools into a format that KCachegrind can display.
 .
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Executables can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugin architectures.
 .
 The included scripts are:
 .
   * dprof2calltree: converts the tmon.out output of Perl's Devel::DProf package
   * hotshot2calltree: converts the pstat output of the hotshot Python profiler
   * memprof2calltree: converts the memory profiles of memprof
   * op2calltree: converts the OProfile's output of "opreport -gdf" (v 0.8)
   * pprof2calltree: converts the pprof output from APD
 .
 This package is part of the KDE Software Development Kit module.
